Welcome to the new home of the HDX FAQ
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Food Security, Nutrition & Poverty

Get food security data

get

Integrated Food Security Phase Classification from the IPC. See the more detailed technical HDX HAPI documentation, and the original IPC source website.

Query parameters
app_identifierstring · max: 512 · nullableRequired

base64 encoded application name and email, as in base64("app_name:email"). This value can also be passed in the X-HDX-HAPI-APP-IDENTIFIER header. See the encoded_app_identifier endpoint.

ipc_phasestring · enum · nullableOptional

Filter the response by the IPC phase, available values are described here.

Possible values:
ipc_typestring · enum · nullableOptional

Filter the response by the IPC type, available values are described here.

Possible values:
has_hrpboolean · nullableOptional

Filter the response by the has_hrp flag. The has_hrp flag indicates whether a country has a Humanitarian Response Plan.

in_ghoboolean · nullableOptional

Filter the response by the in_gho flag. The in_gho flag indicates whether a country is in the Global Humanitarian Overview.

start_datestring · nullableOptional

Filter entries to include rows where the reference period overlaps with or extends beyond this date, e.g. 2020, 2020-01, 2020-01-01 or 2020-01-01T00:00:00

end_datestring · nullableOptional

Filter entries to include rows where the reference period overlaps with or begins prior to this date, e.g. 2020, 2020-01, 2020-01-01, 2020-01-01 or 2020-01-01T23:59:59

location_codestring · max: 128 · nullableOptional

Filter the response by a location (typically a country). The location codes use the ISO-3 (ISO 3166 alpha-3) codes. See the location endpoint for details.

location_namestring · max: 512 · nullableOptional

Filter the response by a location (typically a country). The location names are based on the "short name" from the UN M49 Standard. See the location endpoint for details.

admin1_codestring · max: 128 · nullableOptional

Filter the response by the 1st subnational administrative divisions. The admin1 codes refer to the p-codes in the Common Operational Datasets. See the admin1 endpoint for details.

admin1_namestring · max: 512 · nullableOptional

Filter the response by the 1st subnational administrative divisions. The admin1 names refer to either the Common Operational Datasets or those provided in the original data source. See the admin1 endpoint for details.

admin2_codestring · max: 128 · nullableOptional

Filter the response by the 2nd subnational administrative divisions. The admin2 codes refer to the p-codes in the Common Operational Datasets. See the admin2 endpoint for details.

admin2_namestring · max: 512 · nullableOptional

Filter the response by the 2nd subnational administrative divisions. The admin2 names refer to either the Common Operational Datasets or those provided in the original data source. See the admin2 endpoint for details.

admin_levelstring · enum · nullableOptional

Filter the response by admin level.

Possible values:
output_formatstring · enumOptionalDefault: jsonPossible values:
limitinteger · max: 10000Optional

Maximum number of records to return. The system will not return more than 10,000 records.

Default: 10000Example: 100
offsetintegerOptional

Number of records to skip in the response. Use in conjunction with the limit parameter to paginate.

Default: 0
Responses
200

Successful Response

application/json
get/api/v2/food-security-nutrition-poverty/food-security
GET /api/v2/food-security-nutrition-poverty/food-security?app_identifier=text HTTP/1.1
Host: hapi.humdata.org
Accept: */*
{
  "data": [
    {
      "location_code": "text",
      "location_name": "text",
      "admin1_code": "text",
      "admin1_name": "text",
      "admin2_code": "text",
      "admin2_name": "text",
      "admin_level": 1,
      "resource_hdx_id": "text",
      "ipc_phase": "text",
      "ipc_type": "text",
      "population_in_phase": 1,
      "population_fraction_in_phase": 1,
      "reference_period_start": "2026-01-01T00:00:00.000Z",
      "reference_period_end": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Get food prices

get

The World Food Programme (WFP) food prices data provides information about food prices for a range of commodities at markets across the world. See the more detailed technical HDX HAPI documentation, and the original WFP source website.

Query parameters
app_identifierstring · max: 512 · nullableRequired

base64 encoded application name and email, as in base64("app_name:email"). This value can also be passed in the X-HDX-HAPI-APP-IDENTIFIER header. See the encoded_app_identifier endpoint.

market_codestring · max: 32 · nullableOptional

Filter the response by the unique code identifying the market

market_namestring · max: 512 · nullableOptional

Filter the response by the name of the market

commodity_codestring · max: 32 · nullableOptional

Filter the response by the unique code identifying the commodity

commodity_categorystring · enum · nullableOptional

Filter the response by the food group that the commodity belongs to, available values are described here.

Possible values:
commodity_namestring · max: 512 · nullableOptional

Filter the response by the name of the commodity

price_flagstring · enum · nullableOptional

Filter the response by the pre-processing characteristics of food prices, available values are described here.

Possible values:
price_typestring · enum · nullableOptional

Filter the response by the point in the supply chain at which the price is determined, available values are described here.

Possible values:
price_minany of · nullableOptional

Filter the response by a lower bound for the price.

numberOptional
or
stringOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
price_maxany of · nullableOptional

Filter the response by a upper bound for the price.

numberOptional
or
stringOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
has_hrpboolean · nullableOptional

Filter the response by the has_hrp flag. The has_hrp flag indicates whether a country has a Humanitarian Response Plan.

in_ghoboolean · nullableOptional

Filter the response by the in_gho flag. The in_gho flag indicates whether a country is in the Global Humanitarian Overview.

start_datestring · nullableOptional

Filter entries to include rows where the reference period overlaps with or extends beyond this date, e.g. 2020, 2020-01, 2020-01-01 or 2020-01-01T00:00:00

end_datestring · nullableOptional

Filter entries to include rows where the reference period overlaps with or begins prior to this date, e.g. 2020, 2020-01, 2020-01-01, 2020-01-01 or 2020-01-01T23:59:59

location_codestring · max: 128 · nullableOptional

Filter the response by a location (typically a country). The location codes use the ISO-3 (ISO 3166 alpha-3) codes. See the location endpoint for details.

location_namestring · max: 512 · nullableOptional

Filter the response by a location (typically a country). The location names are based on the "short name" from the UN M49 Standard. See the location endpoint for details.

admin1_codestring · max: 128 · nullableOptional

Filter the response by the 1st subnational administrative divisions. The admin1 codes refer to the p-codes in the Common Operational Datasets. See the admin1 endpoint for details.

admin1_namestring · max: 512 · nullableOptional

Filter the response by the 1st subnational administrative divisions. The admin1 names refer to either the Common Operational Datasets or those provided in the original data source. See the admin1 endpoint for details.

admin2_codestring · max: 128 · nullableOptional

Filter the response by the 2nd subnational administrative divisions. The admin2 codes refer to the p-codes in the Common Operational Datasets. See the admin2 endpoint for details.

admin2_namestring · max: 512 · nullableOptional

Filter the response by the 2nd subnational administrative divisions. The admin2 names refer to either the Common Operational Datasets or those provided in the original data source. See the admin2 endpoint for details.

admin_levelstring · enum · nullableOptional

Filter the response by admin level.

Possible values:
output_formatstring · enumOptionalDefault: jsonPossible values:
limitinteger · max: 10000Optional

Maximum number of records to return. The system will not return more than 10,000 records.

Default: 10000Example: 100
offsetintegerOptional

Number of records to skip in the response. Use in conjunction with the limit parameter to paginate.

Default: 0
Responses
200

Successful Response

application/json
get/api/v2/food-security-nutrition-poverty/food-prices-market-monitor
GET /api/v2/food-security-nutrition-poverty/food-prices-market-monitor?app_identifier=text HTTP/1.1
Host: hapi.humdata.org
Accept: */*
{
  "data": [
    {
      "location_code": "text",
      "location_name": "text",
      "admin1_code": "text",
      "admin1_name": "text",
      "admin2_code": "text",
      "admin2_name": "text",
      "admin_level": 1,
      "resource_hdx_id": "text",
      "market_code": "text",
      "market_name": "text",
      "commodity_code": "text",
      "commodity_name": "text",
      "commodity_category": "cereals and tubers",
      "currency_code": "text",
      "unit": "text",
      "price_flag": "actual",
      "price_type": "Farm Gate",
      "price": 1,
      "lat": 1,
      "lon": 1,
      "reference_period_start": "2026-01-01T00:00:00.000Z",
      "reference_period_end": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Get poverty rate data

get

Poverty rate data from the Oxford Department of International Development. See the more detailed technical HDX HAPI documentation, and the Oxford Department of International Development website.

Query parameters
app_identifierstring · max: 512 · nullableRequired

base64 encoded application name and email, as in base64("app_name:email"). This value can also be passed in the X-HDX-HAPI-APP-IDENTIFIER header. See the encoded_app_identifier endpoint.

mpi_minnumber · nullableOptional

Multidimensional Poverty Index (MPI), lower bound.

mpi_maxnumber · nullableOptional

Multidimensional Poverty Index (MPI), upper bound.

has_hrpboolean · nullableOptional

Filter the response by the has_hrp flag. The has_hrp flag indicates whether a country has a Humanitarian Response Plan.

in_ghoboolean · nullableOptional

Filter the response by the in_gho flag. The in_gho flag indicates whether a country is in the Global Humanitarian Overview.

start_datestring · nullableOptional

Filter entries to include rows where the reference period overlaps with or extends beyond this date, e.g. 2020, 2020-01, 2020-01-01 or 2020-01-01T00:00:00

end_datestring · nullableOptional

Filter entries to include rows where the reference period overlaps with or begins prior to this date, e.g. 2020, 2020-01, 2020-01-01, 2020-01-01 or 2020-01-01T23:59:59

location_codestring · max: 128 · nullableOptional

Filter the response by a location (typically a country). The location codes use the ISO-3 (ISO 3166 alpha-3) codes. See the location endpoint for details.

location_namestring · max: 512 · nullableOptional

Filter the response by a location (typically a country). The location names are based on the "short name" from the UN M49 Standard. See the location endpoint for details.

admin1_codestring · max: 128 · nullableOptional

Filter the response by the 1st subnational administrative divisions. The admin1 codes refer to the p-codes in the Common Operational Datasets. See the admin1 endpoint for details.

admin1_namestring · max: 512 · nullableOptional

Filter the response by the 1st subnational administrative divisions. The admin1 names refer to either the Common Operational Datasets or those provided in the original data source. See the admin1 endpoint for details.

admin_levelstring · enum · nullableOptional

Filter the response by admin level.

Possible values:
output_formatstring · enumOptionalDefault: jsonPossible values:
limitinteger · max: 10000Optional

Maximum number of records to return. The system will not return more than 10,000 records.

Default: 10000Example: 100
offsetintegerOptional

Number of records to skip in the response. Use in conjunction with the limit parameter to paginate.

Default: 0
Responses
200

Successful Response

application/json
get/api/v2/food-security-nutrition-poverty/poverty-rate
GET /api/v2/food-security-nutrition-poverty/poverty-rate?app_identifier=text HTTP/1.1
Host: hapi.humdata.org
Accept: */*
{
  "data": [
    {
      "location_code": "text",
      "location_name": "text",
      "admin1_code": "text",
      "admin1_name": "text",
      "admin_level": 1,
      "resource_hdx_id": "text",
      "mpi": 1,
      "headcount_ratio": 1,
      "intensity_of_deprivation": 1,
      "vulnerable_to_poverty": 1,
      "in_severe_poverty": 1,
      "reference_period_start": "2026-01-01T00:00:00.000Z",
      "reference_period_end": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Last updated

Was this helpful?